#ifndef ODCINEK_PION_H
#define ODCINEK_PION_H

#include "figura.h"

namespace figury {

    /* klasa konkretna, rysuje odcinek o danej dlugosci */
    class OdcinekPion : public Figura
    {
    public:
        OdcinekPion(Kolor k, Dlugosc d) : Figura(k), d_(d) {}
        virtual ~OdcinekPion() {}
        virtual void draw(std::ostream& os) const;
    private:
        Dlugosc d_;
    };

}

#endif
