#ifndef TROJKAT_H
#define TROJKAT_H

#include "figura.h"

namespace figury {

    /* Klasa rysuje trojkat prostokatny */
    class Trojkat : public Figura
    {
    public:
        Trojkat(Kolor k, Dlugosc bok) : Figura(k), bok_(bok) {}
        virtual ~Trojkat(){}
        virtual void draw(std::ostream& os) const;
    private:
        Dlugosc bok_;
    };

}
#endif
